program SpectraProcessor;
{ 03.04.01 : FO : pour pouvoir utiliser le programme sur une machine pas en rseau }
{                 desactivation de SmtpForm                                        }

uses
  buttons,
  Windows,
  SysUtils,
  Classes,
  Graphics,
  Forms,
  Controls,
  StdCtrls,
  MainForm in 'MainForm.pas' {principalform},
  about in 'About.pas' {AboutBox},
  FitForm in 'FitForm.pas' {FittingForm},
  editdata in '..\CommonSVN\Editdata.pas' {dataeditform},
  NexusCoreDelphiAPI in '..\CommonSVN\NexusCoreDelphiAPI.pas',
  NexusUtilityDelphiAPI in '..\CommonSVN\NexusUtilityDelphiAPI.pas',
  graph2D in '..\CommonSVN\graph2D.pas' {graph2DForm},
  LectureTPAoptions in '..\CommonSVN\LectureTPAoptions.pas' {LectureTPAoptionsForm},
  dialogAddSpectrum in '..\CommonSVN\dialogAddSpectrum.pas' {dialogaddform},
  dialogScalAddSpectrum in '..\CommonSVN\dialogScalAddSpectrum.pas' {dialogscaladdform},
  Graph1D in '..\CommonSVN\Graph1D.pas' {graph1dform},
  ResolutionFunction in 'ResolutionFunction.pas' {ResolutionFonctionForm},
  Tiltof in 'Tiltof.pas' {TiltofForm},
  FilesIO in '..\CommonSVN\FilesIO.pas',
  interpreteur in '..\CommonSVN\interpreteur.pas' {interpreteurform},
  InterpreteurBase in '..\CommonSVN\InterpreteurBase.pas',
  interpreteurSpectra in '..\CommonSVN\interpreteurSpectra.pas',
  interpreteurFileIO in '..\CommonSVN\interpreteurFileIO.pas',
  EmailUnit in '..\CommonSVN\EmailUnit.pas' {SmtpForm},
  functionsliste in '..\CommonSVN\functionsliste.pas' { functionslisteform},
  variablesliste in '..\CommonSVN\VariablesListe.pas' { VariablesListeForm},
  BoiteNoire in '..\CommonSVN\BoiteNoire.pas' {boitnoir},
  dialogTextInput in '..\CommonSVN\dialogTextInput.pas' {enterDlg},
  Zonage in '..\CommonSVN\Zonage.pas' {ZonageForm},
  PilotageSMAC in 'PilotageSMAC.pas' {PilotageSMACform},
  ImageViewUnit in 'ImageViewUnit.pas' {ImageViewForm},
  Properties in 'Properties.pas' {PropertyDialog},
  Graph2D3D in '..\CommonSVN\Graph2D3D.pas' {Graph2D3DForm},
  XYCopy in '..\CommonSVN\xycopy.pas' {CopyForm},
  xygraph_cemmens in '..\CommonSVN\xygraph_cemmens.pas',
  xycommon in '..\CommonSVN\xycommon.pas',
  xygraph3d in '..\CommonSVN\xygraph3d.pas',
  Graph4D in '..\CommonSVN\Graph4D.pas' {Graph4DForm},
  xygraph4d in '..\CommonSVN\xygraph4d.pas',
  constants in '..\CommonSVN\constants.pas';

{functionslisteform}


{$R *.RES}

type polarisation=(up,down);

begin
  Application.Initialize;
  Application.Title := 'SpectraProcessor';
  Application.CreateForm(Tprincipalform, principalform);
  Application.CreateForm(Tfunctionslisteform, functionslisteform);
  Application.CreateForm(TVariablesListeForm, VariablesListeForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TFittingForm, FittingForm);
  Application.CreateForm(Tdataeditform, dataeditform);
  Application.CreateForm(TLectureTPAoptionsForm, LectureTPAoptionsForm);
  Application.CreateForm(Tdialogaddform, dialogaddform);
  Application.CreateForm(Tdialogscaladdform, dialogscaladdform);
  Application.CreateForm(Tgraph1dform, graph1dform);
  Application.CreateForm(TResolutionFonctionForm, ResolutionFonctionForm);
  Application.CreateForm(TTiltofForm, TiltofForm);
  Application.CreateForm(Tinterpreteurform, interpreteurform);
  Application.CreateForm(TSmtpForm, SmtpForm);
  Application.CreateForm(TVariablesListeForm, VariablesListeForm);
  Application.CreateForm(Tboitnoir, boitnoir);
  Application.CreateForm(TenterDlg, enterDlg);
  Application.CreateForm(TZonageForm, ZonageForm);
  Application.CreateForm(TPilotageSMACform, PilotageSMACform);
  Application.CreateForm(TImageViewForm, ImageViewForm);
  Application.CreateForm(TPropertyDialog, PropertyDialog);
  Application.CreateForm(TGraph2D3DForm, Graph2D3DForm);
  Application.CreateForm(TCopyForm, CopyForm);
  Application.CreateForm(Tgraph2DForm, graph2DForm);
  Application.CreateForm(TGraph4DForm, Graph4DForm);
  graph1dform.WindowState:=wsNormal;
  interpreteurform.WindowState:=wsNormal;
  graph2DForm.WindowState:=wsMinimized;
  Graph2D3DForm.WindowState:=wsNormal;
  Graph4DForm.WindowState:=wsMinimized;
  FittingForm.WindowState:=wsMinimized;
  Application.Run;
end.

